--- old/usr/src/tools/smatch/src/check_allocating_enough_data.c	Tue May 19 02:50:29 2020
+++ new/usr/src/tools/smatch/src/check_allocating_enough_data.c	Tue May 19 02:50:29 2020
@@ -23,6 +23,7 @@
 	struct symbol *left_type, *right_type;
 	int bytes;
 	sval_t sval;
+	char *str;
 
 	if (expr->type != EXPR_ASSIGNMENT)
 		return;
@@ -42,7 +43,10 @@
 		return;
 	if (sval.uvalue >= bytes)
 		return;
-	sm_error("not allocating enough data %d vs %s", bytes, sval_to_str(sval));
+
+	str = expr_to_str(expr->left);
+	sm_error("not allocating enough for = '%s' %d vs %s", str, bytes, sval_to_str(sval));
+	free_string(str);
 }
 
 void check_allocating_enough_data(int id)
